Subject: bug#66993: [PATCH] project.el: avoid asking user about project-list-file lock

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Nov 2023 16:50:32 +0200

> Date: Thu, 9 Nov 2023 13:33:29 +0200
> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 09/11/2023 13:27, Eli Zaretskii wrote:
> >> Date: Thu, 9 Nov 2023 13:05:09 +0200
> >> Cc: [email-masked], [email-masked]
> >> From: Dmitry Gutov <[email-masked]>
> >>
> >> And what happens after the restart? The list needs to be recovered.
> > 
> > Why does it need to be recovered?  Isn't it built on-the-fly anyway?
> > Is this just some kind of optimization?
> 
> If we didn't need to read it after restart, there would be no point in 
> writing the list to disk.
> 
> > I guess I don't understand well enough why this file exists and how it
> > is used?
> 
> Same reason as for savehist-file.

It's a history of projects in the last session?  Then it's one more
reason to write the file only at exit, I guess?